#!/usr/bin/env python
# -*- coding: utf-8 -*-
#
#    check_button.py
#       
#    Copyright 2010 Victor Ramirez <virako.9@gmail.com>
#       
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.

import serial

class Check_button:
    """Clase que comprueba la salida de arduino. 
       Devuelve True cuando encuentra Pulsado """
    def __init__(self):
        self.ardu = serial.Serial("/dev/ttyUSB0",9600)    
    
    def check(self):
        if len(self.ardu.readline()) == 9:
            return True
        else:
            return False
